=== modified file 'loggerhead/apps/filesystem.py'
--- loggerhead/apps/filesystem.py	2009-04-16 23:47:26 +0000
+++ loggerhead/apps/filesystem.py	2009-04-23 23:37:10 +0000
@@ -20,7 +20,7 @@
         self.path = path
         self.root = root
         self.name = name
-        self._config = LoggerheadConfig()
+        self._config = root._config
 
     def app_for_branch(self, branch):
         if not self.name:
@@ -70,9 +70,10 @@
 
 class BranchesFromFileSystemRoot(object):
 
-    def __init__(self, folder):
+    def __init__(self, folder, config):
         self.graph_cache = lru_cache.LRUCache()
         self.folder = folder
+        self._config = config
 
     def __call__(self, environ, start_response):
         environ['loggerhead.static.url'] = environ['SCRIPT_NAME']
@@ -92,10 +93,11 @@
 
 class UserBranchesFromFileSystemRoot(object):
 
-    def __init__(self, folder, trunk_dir):
+    def __init__(self, folder, config):
         self.graph_cache = lru_cache.LRUCache()
         self.folder = folder
-        self.trunk_dir = trunk_dir
+        self._config = config
+        self.trunk_dir = config.get_option('trunk_dir')
 
     def __call__(self, environ, start_response):
         environ['loggerhead.static.url'] = environ['SCRIPT_NAME']

=== modified file 'serve-branches'
--- serve-branches	2009-04-16 21:49:48 +0000
+++ serve-branches	2009-04-17 00:14:16 +0000
@@ -66,10 +66,9 @@
         if not config.get_option('trunk_dir'):
             print "You didn't specify a directory for the trunk directories."
             sys.exit(1)
-        app = UserBranchesFromFileSystemRoot(
-            path, config.get_option('trunk_dir'))
+        app = UserBranchesFromFileSystemRoot(path, config)
     else:
-        app = BranchesFromFileSystemRoot(path)
+        app = BranchesFromFileSystemRoot(path, config)
 
     # setup_logging()
     logging.basicConfig()

